Subject: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2025 09:14:49 +0300

> From: Stéphane Marks <[email-masked]>
> Date: Fri, 11 Jul 2025 17:03:06 -0400
> Cc: [email-masked], [email-masked], [email-masked]
> 
>  No, we don't produce any such indications in special screen lines,
>  like mode line. menu bar, etc.  So I don't see why we would need that
>  here.
> 
> I suppose since the user would enable this explicitly, and if the documentation says it truncates without
> saying that an indicator is shown, users get what they ask for.  I'd thought it would be nice as a visual
> courtesy akin to truncate-line indicators.

truncate-lines indicators are shown only for buffer text, and even
then only in the text-area, not in the margins.  Don't forget that the
indicator itself needs space to show it, so it uses up the screen
estate that is at premium in the cases of mode line, tab line etc.